// Little cookie management to keep what order we were sorting the
// table in over dynamic reloads.
// Sucks to have to do it this way.

function setCookie(name, value, expires, path, domain, secure) {
	var curCookie = name + "=" + escape(value) +
		((expires) ? "; expires=" + expires.toGMTString() : "") +
			((path) ? "; path=" + path : "") +
				((domain) ? "; domain=" + domain : "") +
				((secure) ? "; secure" : "");
	document.cookie = curCookie;
}

function getCookie(name) {
	var dc = document.cookie;
	var prefix = name + "=";
	var begin = dc.indexOf("; " + prefix);
	if (begin == -1) {
		begin = dc.indexOf(prefix);
		if (begin != 0) return null;
	} else
		begin += 2;
	var end = document.cookie.indexOf(";", begin);
	if (end == -1)
		end = dc.length;
	return unescape(dc.substring(begin + prefix.length, end));
}

function SortByCookie(name) {
	var col = getCookie(name);

	if (!col) {
		return 0;
	} else {
		return parseInt(col);
	}
}

function SortCookie(name, value) {
	var now = new Date();
	now.setTime(now.getTime() + 24 * 60 * 60 * 1000);
	setCookie(name, value, now);
}

